Package org.springframework.security.web.server.header

# Class CompositeServerHttpHeadersWriter

java.lang.Object
org.springframework.security.web.server.header.CompositeServerHttpHeadersWriter

All Implemented Interfaces:
  `ServerHttpHeadersWriter`

public class CompositeServerHttpHeadersWriter extends Object implements ServerHttpHeadersWriter
Combines multiple `ServerHttpHeadersWriter` instances into a single instance.

Since:
  5.0

## Constructor Summary

Constructors
Constructor
Description
`CompositeServerHttpHeadersWriter(List<ServerHttpHeadersWriter> writers)`
`CompositeServerHttpHeadersWriter(ServerHttpHeadersWriter... writers)`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
`writeHttpHeaders(org.springframework.web.server.ServerWebExchange exchange)`
Write the headers to the response.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CompositeServerHttpHeadersWriter

public CompositeServerHttpHeadersWriter(ServerHttpHeadersWriter... writers)

### CompositeServerHttpHeadersWriter

public CompositeServerHttpHeadersWriter(List<ServerHttpHeadersWriter> writers)

## Method Details

### writeHttpHeaders

public reactor.core.publisher.Mono<Void> writeHttpHeaders(org.springframework.web.server.ServerWebExchange exchange)
Description copied from interface: `ServerHttpHeadersWriter`
Write the headers to the response.

Specified by:
  `writeHttpHeaders` in interface `ServerHttpHeadersWriter`
Returns:
  A Mono which is returned to the `Supplier` of the `ReactiveHttpOutputMessage.beforeCommit(Supplier)`.